petsc-3.13.6 2020-09-29
Report Typos and Errors

# ISGetInfo

Determine whether an index set satisfies a given property

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetInfo(IS is, ISInfo info, ISInfoType type, PetscBool compute, PetscBool *flg)

Collective or logically collective on IS if the type is IS_GLOBAL (logically collective if the value of the property has been permanently set with ISSetInfo())

### Input Parameters

| is | - the index set
| info | - describing a property of the index set, one of those listed in the documentation of ISSetInfo()
| compute | - if PETSC_FALSE, the property will not be computed if it is not already known and the property will be assumed to be false
| type | - whether the property is local (IS_LOCAL) or global (IS_GLOBAL)

### Output Parameter

flg -wheter the property is true (PETSC_TRUE) or false (PETSC_FALSE)

Note: ISGetInfo uses cached values when possible, which will be incorrect if ISSetInfo() has been called with incorrect information. To clear cached values, use ISClearInfoCache().

### See Also

ISInfo, ISInfoType, ISSetInfo(), ISClearInfoCache()

### Level

advanced

### Location

src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages